"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const index = require("../../../../../settings/animations/index.js");
require("../../../../../components/Pages/ChartItemSetting/SettingItem.vue.js");
require("../../../../../components/Pages/ChartItemSetting/SettingItemBox.vue2.js");
const CollapseItem_vue_vue_type_script_setup_true_lang = require("../../../../../components/Pages/ChartItemSetting/CollapseItem.vue.js");
require("../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.js");
require("../../../../../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.js");
require("../../../../../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.js");
require("../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.js");
require("../../../../../enums/pageEnum.js");
require("../../../../../router/index.js");
const designStore = require("../../../../../store/modules/designStore/designStore.js");
require("../../../../../settings/designSetting.js");
require("../../../../../components/GoLoading/index.js");
require("../../../../../components/GoSkeleton/index.vue.js");
require("../../../../../store/modules/chartEditStore/chartEditStore.js");
require("../../../../../components/Pages/ChartItemSetting/StylesSetting.vue.js");
const useTargetData_hook = require("../hooks/useTargetData.hook.js");
const runtimeCore_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const runtimeDom_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-dom@3.3.4/node_modules/@vue/runtime-dom/dist/runtime-dom.esm-bundler.js");
const reactivity_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const shared_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_shared@3.3.4/node_modules/@vue/shared/dist/shared.esm-bundler.js");
const _hoisted_1 = {
  key: 0,
  class: "go-chart-configurations-animations"
};
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "index",
  setup(__props) {
    runtimeDom_esmBundler.useCssVars((_ctx) => ({
      "d4c88a06": themeColor.value
    }));
    const designStore$1 = designStore.useDesignStore();
    const hoverPreviewAnimate = reactivity_esmBundler.ref("");
    const { targetData } = useTargetData_hook.useTargetData();
    const themeColor = runtimeCore_esmBundler.computed(() => {
      return designStore$1.getAppTheme;
    });
    const activeIndex = (value) => {
      const selectValue = targetData.value.styles.animations;
      if (!selectValue.length)
        return false;
      return selectValue[0] === value;
    };
    const clearAnimation = () => {
      targetData.value.styles.animations = [];
    };
    const addAnimation = (item) => {
      targetData.value.styles.animations = [item.value];
    };
    return (_ctx, _cache) => {
      const _component_n_button = runtimeCore_esmBundler.resolveComponent("n-button");
      const _component_n_grid_item = runtimeCore_esmBundler.resolveComponent("n-grid-item");
      const _component_n_grid = runtimeCore_esmBundler.resolveComponent("n-grid");
      return reactivity_esmBundler.unref(targetData) ? (runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock("div", _hoisted_1, [
        runtimeCore_esmBundler.createVNode(_component_n_button, {
          class: "clear-btn go-my-2",
          disabled: !reactivity_esmBundler.unref(targetData).styles.animations.length,
          onClick: clearAnimation
        }, {
          default: runtimeCore_esmBundler.withCtx(() => [
            runtimeCore_esmBundler.createTextVNode(" 清除动画 ")
          ]),
          _: 1
        }, 8, ["disabled"]),
        (runtimeCore_esmBundler.openBlock(true), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, null, runtimeCore_esmBundler.renderList(reactivity_esmBundler.unref(index.animations), (item, index2) => {
          return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createBlock(reactivity_esmBundler.unref(CollapseItem_vue_vue_type_script_setup_true_lang.default), {
            key: index2,
            name: item.label,
            expanded: true
          }, {
            default: runtimeCore_esmBundler.withCtx(() => [
              runtimeCore_esmBundler.createVNode(_component_n_grid, {
                "x-gap": 6,
                "y-gap": 10,
                cols: 3
              }, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  (runtimeCore_esmBundler.openBlock(true), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, null, runtimeCore_esmBundler.renderList(item.children, (childrenItem, index22) => {
                    return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createBlock(_component_n_grid_item, {
                      class: shared_esmBundler.normalizeClass(["animation-item go-transition-quick", [
                        activeIndex(childrenItem.value) && "active",
                        hoverPreviewAnimate.value === childrenItem.value && `animate__animated  animate__${childrenItem.value}`
                      ]]),
                      key: index22,
                      onMouseover: ($event) => hoverPreviewAnimate.value = childrenItem.value,
                      onClick: ($event) => addAnimation(childrenItem)
                    }, {
                      default: runtimeCore_esmBundler.withCtx(() => [
                        runtimeCore_esmBundler.createTextVNode(shared_esmBundler.toDisplayString(childrenItem.label), 1)
                      ]),
                      _: 2
                    }, 1032, ["class", "onMouseover", "onClick"]);
                  }), 128))
                ]),
                _: 2
              }, 1024)
            ]),
            _: 2
          }, 1032, ["name"]);
        }), 128))
      ])) : runtimeCore_esmBundler.createCommentVNode("", true);
    };
  }
});
exports.default = _sfc_main;
